
Foreman - Bug #4673

Count columns should be sorted in descending order by default

03/17/2014 12:34 PM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Web Interface   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

For pages in the UI that allow sorting by count, it should be by descending order first (user wants to see the "interesting" information

first).

Scoped_search's rails sort helper doesn't support a default sorting order yet.  When/if it does, then we should change the views.

Related issues:

Related to Foreman - Feature #4256: Column sorting across all of the web inte... Closed 02/04/2014

Associated revisions

Revision 846433a7 - 03/31/2014 01:09 PM - Stephen Benjamin

fixes #4673 - make default sort order descending on count columns

History

#1 - 03/17/2014 12:35 PM - Stephen Benjamin

Sent a PR to scoped_search, hopefully the idea is accepted.

https://github.com/wvanbergen/scoped_search/pull/79/

#2 - 03/17/2014 12:36 PM - Stephen Benjamin

- Related to Feature #4256: Column sorting across all of the web interface added

#3 - 03/30/2014 11:04 PM - Stephen Benjamin

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/1338

#4 - 03/31/2014 07:26 AM - Dominic Cleal

- Assignee set to Stephen Benjamin

- Target version set to 1.8.4

#5 - 03/31/2014 01:10 PM - Dominic Cleal

- translation missing: en.field_release set to 4

#6 - 03/31/2014 01:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 846433a7fd1f1e2dba2c113023f5fae0a877bad5.
